Loading...
Searching...
No Matches
base64.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Macros

#define | AV_BASE64_DECODE_SIZE(x) ((x) * 3LL / 4)
| Calculate the output size in bytes needed to decode a base64 string with length x to a data buffer.
#define | AV_BASE64_SIZE(x) (((x)+2) / 3 * 4 + 1)
| Calculate the output size needed to base64-encode x bytes to a null-terminated string.

## Functions

int | av_base64_decode (uint8_t *out, const char *in, int out_size)
| Decode a base64-encoded string.
char * | av_base64_encode (char *out, int out_size, const uint8_t *in, int in_size)
| Encode data to base64 and null-terminate.